# include/xapian/matchspy.h File Reference

MatchDecider subclasses for use as "match spies". More...

`#include <xapian/enquire.h>`
`#include <map>`
`#include <set>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::MultipleMatchDecider
| Class which applies several match deciders in turn. More...
struct | Xapian::StringAndFrequency
| A string with a corresponding frequency. More...
class | Xapian::StringListSerialiser
| Class to serialise a list of strings in a form suitable for ValueCountMatchSpy. More...
class | Xapian::StringListUnserialiser
| Class to unserialise a list of strings serialised by a StringListSerialiser. More...
class | Xapian::ValueCountMatchSpy
| Class for counting the frequencies of values in the matching documents. More...
class | Xapian::TermCountMatchSpy
| Class for counting the frequencies of terms in the matching documents. More...
class | Xapian::CategorySelectMatchSpy
| MatchSpy for classifying matching documents by their values. More...

## Functions

bool | Xapian::operator== (const StringListUnserialiser &a, const StringListUnserialiser &b)
bool | Xapian::operator!= (const StringListUnserialiser &a, const StringListUnserialiser &b)

## Detailed Description

MatchDecider subclasses for use as "match spies".